--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Generate a Behavior of the given kind. The proper class is found by camel casing the kind (which is given as an underscored symbol).
- !ruby/struct:SM::Flow::VERB 
  body: "  <tt>kind</tt> is the underscored symbol representing the class (e.g. foo_bar for God::Behaviors::FooBar)\n"
full_name: God::Behavior::generate
is_singleton: true
name: generate
params: (kind, watch)
visibility: public
